summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTilo Brueckner2015-06-08 20:54:29 +0200
committerTilo Brueckner2015-06-08 20:54:29 +0200
commit87cc97f00abb1048fe0765688d962f778af1dc1e (patch)
tree6d22008b94ec6a3ed084a49303224dadc9338e5a
downloadaur-87cc97f00abb1048fe0765688d962f778af1dc1e.tar.gz
Initial import
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD27
-rw-r--r--lombok.install27
3 files changed, 74 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c14f523e626
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+# Generated by makepkg 4.2.1
+# Mon Jun 8 18:53:40 UTC 2015
+pkgbase = lombok-eclipse
+ pkgdesc = Project Lombok integrated to Eclipse installation
+ pkgver = 1.16.4
+ pkgrel = 1
+ url = http://projectlombok.org
+ install = lombok.install
+ arch = any
+ license = MIT
+ makedepends = java-runtime
+ depends = eclipse
+ depends = java-runtime
+ noextract = lombok.jar
+ options = !makeflags
+ source = http://projectlombok.org/downloads/lombok.jar
+ md5sums = b08407411bca4123c3804e63d92e335e
+
+pkgname = lombok-eclipse
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..db6d39e5af0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Contributor: Kozec <kozec at kozec dot com>
+
+pkgname=lombok-eclipse
+pkgver=1.16.4
+pkgrel=1
+pkgdesc="Project Lombok integrated to Eclipse installation"
+arch=("any")
+url="http://projectlombok.org"
+license=('MIT')
+makedepends=('java-runtime')
+depends=('eclipse' 'java-runtime')
+install=lombok.install
+source=("http://projectlombok.org/downloads/lombok.jar")
+noextract=("lombok.jar")
+options=(!makeflags)
+
+build() {
+ cd "$srcdir"
+ java -jar lombok.jar publicApi
+}
+package() {
+ mkdir -p "$pkgdir"/usr/share/eclipse
+ cp "$srcdir"/lombok.jar "$pkgdir"/usr/share/eclipse
+ cp "$srcdir"/lombok-api.jar "$pkgdir"/usr/share/eclipse
+}
+
+md5sums=('b08407411bca4123c3804e63d92e335e')
diff --git a/lombok.install b/lombok.install
new file mode 100644
index 00000000000..e6f51a1cac7
--- /dev/null
+++ b/lombok.install
@@ -0,0 +1,27 @@
+# arg 1: the new package version
+post_install() {
+ echo ""
+ java -jar /usr/share/eclipse/lombok.jar install /usr/share/eclipse || exit 1
+ echo "-------------------"
+ echo "You have to add /usr/share/eclipse/lombok.jar (or lombok-api).jar as 'external JAR'"
+ echo "to build path of each project which should use it"
+ echo "-------------------"
+ echo ""
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install
+}
+
+# arg 1: the old package version
+pre_remove() {
+ java -jar usr/share/eclipse/lombok.jar uninstall /usr/share/eclipse || exit 1
+}
+
+op=$1
+shift
+
+$op $*
+